/* ************************************************************************
 * Copyright 2006 VMware, Inc.  All rights reserved. -- VMware Confidential
 * ************************************************************************/

/* 
 * vmciProcess.h --
 *
 *      Process code for the Linux guest driver
 */

#ifndef __VMCI_PROCESS_H__
#define __VMCI_PROCESS_H__

#define INCLUDE_ALLOW_MODULE
#include "includeCheck.h"

#include "vm_basic_types.h"

#include "vmci_defs.h"
#include "vmci_handle_array.h"
#include "circList.h"

typedef struct VMCIProcess {
   ListItem      listItem;          /* For global process list. */
   VMCIId   pid;               /* Process id. */
   VMCIHandleArray *sharedmemHandles; /* Process's shared memory regions. */
} VMCIProcess;

void VMCIProcess_Init(void);
Bool VMCIProcess_CheckHostCapabilities(void);
int VMCIProcess_Create(VMCIProcess **outProcess, int eventHnd);
void VMCIProcess_Destroy(VMCIProcess *process);
VMCIProcess *VMCIProcess_Get(VMCIId processID);
		
#endif //__VMCI_PROCESS_H__
