/* ************************************************************************
 * Copyright 2006 VMware, Inc.  All rights reserved. -- VMware Confidential
 * ************************************************************************/

/* 
 * vmciResource.h --
 *
 *      Resource Access Control API for the Linux guest driver
 */

#ifndef __VMCI_RESOURCE_H__
#define __VMCI_RESOURCE_H__

#define INCLUDE_ALLOW_MODULE
#include "includeCheck.h"

#include "vmci_defs.h"

void VMCIResource_Init(void);
Bool VMCIResource_CheckHostCapabilities(void);
int VMCIResource_AddClientPrivileges(VMCIHandle resourceHandle,
                                     VMCIHandle clientHandle,
                                     int numAllowPrivs,
                                     VMCIResourcePrivilegeType *allowPrivs,
                                     int numDenyPrivs,
                                     VMCIResourcePrivilegeType *denyPrivs);
int VMCIResource_RemoveClientPrivileges(VMCIHandle resourceHandle,
                                        VMCIHandle clientHandle,
                                        int numPrivs,
                                        VMCIResourcePrivilegeType *privs);  
int VMCIResource_RemoveAllClientPrivileges(VMCIHandle resourceHandle,
                                           VMCIHandle clientHandle);
#endif //__VMCI_RESOURCE_H__
