/* ************************************************************************
 * Copyright 2006 VMware, Inc.  All rights reserved. -- VMware Confidential
 * ************************************************************************/

/* 
 * vmciSharedMem.h --
 *
 *      Low Level Shared Memory API for the Linux guest driver.
 */

#ifndef __VMCI_SHAREDMEM_H__
#define __VMCI_SHAREDMEM_H__

#define INCLUDE_ALLOW_MODULE
#include "includeCheck.h"

#include "vmci_defs.h"

void vmcisharedmem_init(void);
Bool VMCISharedMem_CheckHostCapabilities(void);
VMCIHandle vmcisharedmem_create(size_t size, VA *va);
int vmcisharedmem_attach(VMCIHandle handle, VA *va, uint32 *size);
int vmcisharedmem_detach(VMCIHandle handle);

DEBUG_ONLY(void vmcisharedmem_test_registration(void);)

#endif //__VMCI_SHAREDMEM_H__
